/*----- PROTECTED REGION ID(RfCavStateMachine.cpp) ENABLED START -----*/
/* clang-format on */
//=============================================================================
//
// file :        RfCavStateMachine.cpp
//
// description : State machine file for the RfCav class
//
//
//
// This file is part of Tango device class.
//
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
//
//
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include "RfCav.h"

/* clang-format off */
/*----- PROTECTED REGION END -----*/	//	RfCav::RfCavStateMachine.cpp

//================================================================
//  States   |  Description
//================================================================
//  ON       |  
//  OFF      |  
//  UNKNOWN  |  
//  FAULT    |  
//  ALARM    |  


namespace RfCav_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_inPwr_allowed()
 *	Description: Execution allowed for inPwr attribute
 */
//--------------------------------------------------------
bool RfCav::is_inPwr_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ
		if (get_state()==Tango::UNKNOWN)
		{
		/*----- PROTECTED REGION ID(RfCav::inPwrStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
		/*----- PROTECTED REGION END -----*/	//	RfCav::inPwrStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_posit_allowed()
 *	Description: Execution allowed for posit attribute
 */
//--------------------------------------------------------
bool RfCav::is_posit_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ
		if (get_state()==Tango::UNKNOWN)
		{
		/*----- PROTECTED REGION ID(RfCav::positStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
		/*----- PROTECTED REGION END -----*/	//	RfCav::positStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_rflPwr_allowed()
 *	Description: Execution allowed for rflPwr attribute
 */
//--------------------------------------------------------
bool RfCav::is_rflPwr_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ
		if (get_state()==Tango::UNKNOWN)
		{
		/*----- PROTECTED REGION ID(RfCav::rflPwrStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
		/*----- PROTECTED REGION END -----*/	//	RfCav::rflPwrStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_vlt_allowed()
 *	Description: Execution allowed for vlt attribute
 */
//--------------------------------------------------------
bool RfCav::is_vlt_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ
		if (get_state()==Tango::UNKNOWN)
		{
		/*----- PROTECTED REGION ID(RfCav::vltStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
		/*----- PROTECTED REGION END -----*/	//	RfCav::vltStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_inRange_allowed()
 *	Description: Execution allowed for inRange attribute
 */
//--------------------------------------------------------
bool RfCav::is_inRange_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ
		if (get_state()==Tango::UNKNOWN)
		{
		/*----- PROTECTED REGION ID(RfCav::inRangeStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
		/*----- PROTECTED REGION END -----*/	//	RfCav::inRangeStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_vacuumInterlock_allowed()
 *	Description: Execution allowed for vacuumInterlock attribute
 */
//--------------------------------------------------------
bool RfCav::is_vacuumInterlock_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ
		if (get_state()==Tango::UNKNOWN)
		{
		/*----- PROTECTED REGION ID(RfCav::vacuumInterlockStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
		/*----- PROTECTED REGION END -----*/	//	RfCav::vacuumInterlockStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_h2oSecFlow_allowed()
 *	Description: Execution allowed for h2oSecFlow attribute
 */
//--------------------------------------------------------
bool RfCav::is_h2oSecFlow_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for h2oSecFlow attribute in read access.
	/*----- PROTECTED REGION ID(RfCav::h2oSecFlowStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	RfCav::h2oSecFlowStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_h2oRemote_allowed()
 *	Description: Execution allowed for h2oRemote attribute
 */
//--------------------------------------------------------
bool RfCav::is_h2oRemote_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ
		if (get_state()==Tango::UNKNOWN)
		{
		/*----- PROTECTED REGION ID(RfCav::h2oRemoteStateAllowed_READ) ENABLED START -----*/
		/* clang-format on */
		/* clang-format off */
		/*----- PROTECTED REGION END -----*/	//	RfCav::h2oRemoteStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_h2oOn_allowed()
 *	Description: Execution allowed for h2oOn attribute
 */
//--------------------------------------------------------
bool RfCav::is_h2oOn_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ
		if (get_state()==Tango::UNKNOWN)
		{
		/*----- PROTECTED REGION ID(RfCav::h2oOnStateAllowed_READ) ENABLED START -----*/
		/* clang-format on */
		/* clang-format off */
		/*----- PROTECTED REGION END -----*/	//	RfCav::h2oOnStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_h2oResistor11On_allowed()
 *	Description: Execution allowed for h2oResistor11On attribute
 */
//--------------------------------------------------------
bool RfCav::is_h2oResistor11On_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for h2oResistor11On attribute in read access.
	/*----- PROTECTED REGION ID(RfCav::h2oResistor11OnStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	RfCav::h2oResistor11OnStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_h2oResistor12On_allowed()
 *	Description: Execution allowed for h2oResistor12On attribute
 */
//--------------------------------------------------------
bool RfCav::is_h2oResistor12On_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for h2oResistor12On attribute in read access.
	/*----- PROTECTED REGION ID(RfCav::h2oResistor12OnStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	RfCav::h2oResistor12OnStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_h2oPrimaryFlow_allowed()
 *	Description: Execution allowed for h2oPrimaryFlow attribute
 */
//--------------------------------------------------------
bool RfCav::is_h2oPrimaryFlow_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ
		if (get_state()==Tango::UNKNOWN)
		{
		/*----- PROTECTED REGION ID(RfCav::h2oPrimaryFlowStateAllowed_READ) ENABLED START -----*/
		/* clang-format on */
		/* clang-format off */
		/*----- PROTECTED REGION END -----*/	//	RfCav::h2oPrimaryFlowStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_PumpOn_allowed()
 *	Description: Execution allowed for PumpOn attribute
 */
//--------------------------------------------------------
bool RfCav::is_PumpOn_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN)
	{
	/*----- PROTECTED REGION ID(RfCav::PumpOnStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	RfCav::PumpOnStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : RfCav::is_PumpOff_allowed()
 *	Description: Execution allowed for PumpOff attribute
 */
//--------------------------------------------------------
bool RfCav::is_PumpOff_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::UNKNOWN)
	{
	/*----- PROTECTED REGION ID(RfCav::PumpOffStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	RfCav::PumpOffStateAllowed
		return false;
	}
	return true;
}


/*----- PROTECTED REGION ID(RfCav::RfCavStateAllowed.AdditionalMethods) ENABLED START -----*/
/* clang-format on */
//	Additional Methods
/* clang-format off */
/*----- PROTECTED REGION END -----*/	//	RfCav::RfCavStateAllowed.AdditionalMethods

}	//	End of namespace
